//SHADER SCRIPT FOR JAXDM5 - "DEIMOS"

//BORDER LIGHT (modified Evil_Lair's trimtl_grlbtm_light)
textures/jaxdm5/trimtl_grlbtm_light
{ 
	q3map_surfacelight 300
	q3map_lightimage textures/jaxdm5/trimtl_grlbtm_light_blnd.tga 
	qer_editorimage textures/jaxdm5/trimtl_grlbtm_light.tga  
	 
	{ 
		map textures/jaxdm5/trimtl_grlbtm_light.tga 
		rgbGen identity 
	} 
	 
	{ 
		map $lightmap 
		rgbGen identity 
		blendfunc gl_dst_color gl_zero 
	}   
	{ 
		map textures/jaxdm5/trimtl_grlbtm_light_blnd.tga 
		blendfunc gl_one gl_one 
//		rgbgen wave sin 1 .1 0 1 
	}       
	 
}

//BORDER LIGHT DIM (modified Evil_Lair's trimtl_grlbtm_light)
textures/jaxdm5/trim_light_dim
{ 
	q3map_surfacelight 100
	q3map_lightimage textures/jaxdm5/trimtl_grlbtm_light_blnd.tga 
	qer_editorimage textures/jaxdm5/trimtl_grlbtm_light.tga  
	 
	{ 
		map textures/jaxdm5/trimtl_grlbtm_light.tga 
		rgbGen identity 
	} 
	 
	{ 
		map $lightmap 
		rgbGen identity 
		blendfunc gl_dst_color gl_zero 
	}   
	{ 
		map textures/jaxdm5/trimtl_grlbtm_light_blnd.tga 
		blendfunc gl_one gl_one 
//		rgbgen wave sin 1 .1 0 1 
	}       
	 
}

//HFX FLAG  (modified id's base_wall/protobanner)
textures/jaxdm5/hfxflag
{
	qer_editorimage textures/jaxdm5/hfxflag_ow.tga
     	cull disable
     	surfaceparm alphashadow
     	surfaceparm trans	
     	surfaceparm nomarks
     	tessSize 64
//     	deformVertexes wave 30 sin 0 3 0 .2
//     	deformVertexes wave 100 sin 0 3 0 .7
//     	deformVertexes wave 30 sin 0 .5 0 .2
     	deformVertexes wave 100 sin 0 1 0 .7
     
        {
                map textures/jaxdm5/hfxflag_ow.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

//COMPUTER SCREEN (modified Evil_Lair's mat1)
textures/jaxdm5/jaxmat1
{
	{
		map textures/jaxdm5/jaxmat1.tga 
		blendfunc GL_ONE GL_ONE 
		rgbGen identity 
		rgbGen wave sin 0.5 0.5 0 0.7   
        
	}
	{
		map textures/jaxdm5/jaxmat2.tga 
		blendfunc GL_ONE GL_ONE 
       		rgbGen identity
		rgbGen wave sin 0.5 0.5 0 .2
//     		rgbGen wave sin 1 0 0 .2  
	}
	{
		map textures/jaxdm5/jaxmat4.tga 
		blendfunc GL_ONE GL_ONE  
		rgbGen identity 
		tcMod scroll 0 2  
        
	}
	{
		map $lightmap 
		rgbGen identity 
		blendfunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	 
	}
}

//SKYBOX
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

textures/jaxdm5/jaxdm5_skybox
{
	qer_editorimage textures/jaxdm5/jaxdm5sky_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
//	q3map_lightsubdivide 256
	q3map_surfacelight 150
	surfaceparm sky
	q3map_sun 4 3 3 150 225 50
	skyparms env/jaxdm5/jaxdm5sky - -
}

//Evil's ELECTRICITY WALL
textures/jaxdm5/drkmtl_grlpltmech 
{
	{
		map textures/jaxdm5/drkmtl_grlpltmech.tga 
		//blendfunc blend  
		rgbGen identity 
	}
	{
		map textures/jaxdm5/drkmtl_grlpltmech_fx2.tga 
		blendfunc add 
		tcmod scroll 0 -3          
 
	}
	{
		map textures/jaxdm5/drkmtl_grlpltmech_fx.tga 
		blendfunc add 
		tcmod scroll 0 1.6            
 
	}
	{
		map textures/jaxdm5/drkmtl_grlpltmech_fx.tga 
		blendfunc add 
		tcmod scroll 0 -5            
 
	}
{
		map textures/jaxdm5/drkmtl_grlpltmech_fx.tga 
		blendfunc add 
		rgbgen wave sin 1.1 .1 1 1     
       		tcmod scroll 0  2.8     

  }
	{
		map textures/jaxdm5/drkmtl_grlpltmech.tga 
		blendfunc blend  
		rgbGen identity 
	}	
	
	{
		map $lightmap 
		rgbGen identity 
		blendfunc filter 
	}
}

//Evil's WALL PORTAL
textures/jaxdm5/mtlportal_fx
{  
	qer_editorimage textures/jaxdm5/mtlportal.tga
	cull disable	 
        surfaceparm nomarks 
        surfaceparm trans 
        sort additive	  
        { 
	        clampmap textures/jaxdm5/mtlportal_fx1.tga  
		blendFunc add   
                tcmod rotate -100 
                rgbGen identity 
        } 
        { 
	         
	        clampmap textures/jaxdm5/mtlportal_fx2.tga 
		blendFunc add  
                tcmod rotate 100   
                rgbGen identity 
	}
 
        { 
	        clampmap textures/jaxdm5/mtlportal.tga 
		alphaFunc GE128 
                depthWrite 
	        rgbGen identity 
	} 
        { 
		map $lightmap 
		rgbGen identity 
		blendFunc GL_DST_COLOR GL_ZERO 
		depthFunc equal 
	}       
}
 
//Evil's JUMPPAD
textures/jaxdm5/wrnjumppad 
{ 
	{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/jaxdm5/wrnjumppad.tga 
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity 
	} 
	{ 
		map textures/jaxdm5/wrnjumppad_glow.tga 
		rgbGen wave sin 0.5 0.5 1 1 
		blendfunc GL_ONE GL_ONE 
	} 
}  

//Evil's STEP LIGHT
textures/jaxdm5/steplight 
{ 
	surfaceparm nomarks 
	q3map_surfacelight 1000 
	//light1 
	{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/jaxdm5/steplight.tga  
		blendFunc GL_DST_COLOR GL_ZERO  
		rgbGen identity  
	}  
	{ 
		map textures/jaxdm5/steplight_glow.tga  
		blendfunc GL_ONE GL_ONE  
	} 
} 

//Evil's STEP LIGHT DIM
textures/jaxdm5/steplight2 
{ 
	qer_editorimage textures/jaxdm5/steplight2.tga
	surfaceparm nomarks 
	q3map_surfacelight 300 
	//light1 
	{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/jaxdm5/steplight2.tga  
		blendFunc GL_DST_COLOR GL_ZERO  
		rgbGen identity  
	}  
	{ 
		map textures/jaxdm5/steplight_glow2.tga  
		blendfunc GL_ONE GL_ONE  
	} 
} 

//Evil's SUPPORT LIGHT
textures/jaxdm5/drkmtlsupport_light
{ 
	surfaceparm nomarks 
	q3map_surfacelight 1000 
	{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/jaxdm5/drkmtlsupport_light.tga 
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity 
	} 
	{ 
		map textures/jaxdm5/drkmtlsupport_light_glow.tga 
		rgbGen wave sin 0.5 0.5 1 .5   
		blendfunc GL_ONE GL_ONE 
	} 

}   

//SUPPORT LIGHT DIM (modified Evil's drkmtlsupport_light)
textures/jaxdm5/support_light_dim
{ 
	surfaceparm nomarks 
	q3map_surfacelight 600
	qer_editorimage textures/jaxdm5/drkmtlsupport_light.tga
	{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/jaxdm5/drkmtlsupport_light.tga 
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity 
	} 
	{ 
		map textures/jaxdm5/drkmtlsupport_light_glow.tga 
		rgbGen wave sin 0.5 0.5 1 .5   
		blendfunc GL_ONE GL_ONE 
	} 

}   

//Evil's GREEN SCROLLING LIGHT
textures/jaxdm5/mtl_l1 
{
	{
		map textures/jaxdm5/mtl_l1_fx.tga 
		//blendfunc add 
       tcmod scale 12 1  
		rgbGen identity 
		tcMod scroll 0 1 
        
	}
	{
		map textures/jaxdm5/mtl_l1_fx.tga 
		blendfunc add 
       //tcmod scale 25 1   
		rgbGen identity 
		tcMod scroll 1 0 
        
	}
	{
		map textures/jaxdm5/mtl_l1.tga 
		blendfunc blend  
		rgbGen identity 
	}
	{
		map textures/jaxdm5/mtl_l1_fx2.tga 
		blendfunc add 
       tcmod scale 1 1  
	}
	{
		map $lightmap 
		rgbGen identity 
		blendfunc filter 
	}
} 

//Evil's Generator
models/mapobjects/el_gen/el_gen     
{        
        {     
		map models/mapobjects/el_gen/el_gen.tga     
		rgbGen identity     
	}     
	{
        map $lightmap
        blendfunc filter
        }
        {     
                map models/mapobjects/el_gen/el_gen_fx.tga     
                blendFunc add     
                tcmod scroll 0 .4       
                rgbGen identity     
	} 
        {     
                map models/mapobjects/el_gen/el_gen_fx2.tga     
                blendFunc add     
                tcmod scroll 0 -.3      
                rgbGen identity  
	}                        
        { 
		map models/mapobjects/el_gen/el_gen.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		//rgbGen filter 
	}  
} 

//Evil's Teleporter
models/mapobjects/el_tele/el_tele
{
    q3map_surfacelight 1000
    surfaceparm nomarks
     
    {
        map models/mapobjects/el_tele/el_tele.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
    {
        map models/mapobjects/el_tele/el_tele_blend.tga
        blendfunc add
       rgbGen wave sin 0.5 0.5 0 1
    }
}
models/mapobjects/el_tele/beam
{
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nonsolid
    cull none
    q3map_lightimage models/mapobjects/el_tele/beam.tga
    q3map_surfacelight 800
       {
        map models/mapobjects/el_tele/beam.tga
        blendfunc add
        rgbGen wave sin 0 1 0 1
        tcMod scroll 0 1
       }
       {
        map models/mapobjects/el_tele/beam_fx2.tga
        blendfunc add
        rgbGen wave sin 0 1 0 1
       }
       {
        map models/mapobjects/el_tele/beam_fx.tga
        blendfunc add
        rgbGen wave sin 0 1 0 1
        tcMod scroll 0 2
       }
}

// FALLING SPARKS
// This portion of the shader was automatically created by Particle Designer.
// For more information about particle designer, please
// visit http://www.quake3stuff.com/freebrief

textures/jaxdm5/spark_1
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -4.018441 -4.609831 -101.011681 sawtooth 0 1 0.732792 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 0.732792 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.732792 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 0.732792 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_2
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -6.297266 -7.191548 -108.275116 sawtooth 0 1 0.862142 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 0.862142 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.862142 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 0.862142 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_3
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 5.802747 6.160939 -96.498062 sawtooth 0 1 0.779229 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 0.779229 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.779229 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 0.779229 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_4
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 23.538958 2.055756 -97.049332 sawtooth 0 1 1.057466 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 1.057466 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.057466 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 1.057466 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_5
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -10.392693 -27.230148 -104.733482 sawtooth 0 1 0.870858 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 0.870858 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.870858 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 0.870858 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_6
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -15.160322 -10.146357 -104.471382 sawtooth 0 1 0.961370 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 0.961370 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.961370 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 0.961370 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_7
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.050512 10.816082 -109.015976 sawtooth 0 1 1.101761 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 1.101761 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.101761 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 1.101761 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_8
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 25.030659 -17.373653 -93.717102 sawtooth 0 1 0.842677 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 0.842677 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.842677 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 0.842677 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_9
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 8.231857 -14.738028 -108.107025 sawtooth 0 1 0.809314 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 0.809314 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.809314 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 0.809314 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_10
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.548713 -17.716732 -99.924843 sawtooth 0 1 0.847529 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 0.847529 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.847529 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 0.847529 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_11
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 19.543976 -12.703433 -105.211151 sawtooth 0 1 0.667714 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 0.667714 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.667714 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 0.667714 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_12
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.358055 -10.222044 -106.937416 sawtooth 0 1 0.983160 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 0.983160 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.983160 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 0.983160 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_13
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.649081 -9.067009 -92.719017 sawtooth 0 1 1.119614 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 1.119614 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.119614 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 1.119614 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_14
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -20.461433 -23.952105 -96.321365 sawtooth 0 1 1.174291 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 1.174291 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.174291 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 1.174291 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_15
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 10.136728 6.880678 -98.008865 sawtooth 0 1 0.914805 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 0.914805 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.914805 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 0.914805 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_16
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -9.843942 -4.287782 -90.786987 sawtooth 0 1 1.192053 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 1.192053 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.192053 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 1.192053 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_17
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -2.893379 -6.762808 -90.027153 sawtooth 0 1 1.171856 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 1.171856 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.171856 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 1.171856 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_18
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -19.007877 3.159115 -96.977837 sawtooth 0 1 1.147887 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 1.147887 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.147887 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 1.147887 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_19
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.770208 -3.843676 -91.982613 sawtooth 0 1 1.108115 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 1.108115 1.000000
rgbGen wave sawtooth 1.000000 0.000000 1.108115 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 1.108115 1.000000
blendfunc add
}
}

textures/jaxdm5/spark_20
{
qer_editorimage textures/jaxdm5/smlspark.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -26.664806 21.670921 -102.426712 sawtooth 0 1 0.733067 1.000000
{
clampmap textures/jaxdm5/smlspark.tga
//tcMod rotate 45.000000
//AlphaGen wave sawtooth 1.000000 0.000000 0.733067 1.000000
rgbGen wave sawtooth 1.000000 0.000000 0.733067 1.000000
tcMod stretch sawtooth 0.250000 0.000000 1.197180 1.000000
//tcMod stretch sawtooth 1.000000 0.000000 0.733067 1.000000
blendfunc add
}
}